Subject: Re: bug#24478: 25.1; Regression in 25.1: .tramp_history files are littered in non-$HOME working directories

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Mon, 24 Oct 2016 15:54:38 +0200

On Mon, Oct 24, 2016 at 3:10 PM, Michael Albinus <[email-masked]> wrote:
> Michael Albinus <[email-masked]> writes:
>
> Hi Ævar,
>
>> No, I shall be able to work on this with the information I could
>> retrieve locally.
>
> Since I couldn't apply the other change, setting
> `tramp-histfile-override' to t, I've changed it now to
> "~/.tramp_history". Plus a short test whether this (or something else
> the user decides) is a proper setting.
>
> Hope this fixes the problem finally. Could you, pls, crosscheck in the
> emacs-25 branch?

Looks good to me. The ~/.tramp_history value you changed it to has
been what I've been setting this to locally to work around the issue.
Thanks!